Thursday, September 24, 2009

keep aventail vpn working after kernal upgrade

I made aventail vpn client working a while back, here is the note I made.

But after each kernel update, the client will break due to the new kernel comes with a newer version of the openssl library.

Luckily the aventail client is looking for a specific version of ssl library, 0.9.7 being specific. so it is easy to make it work again. Here are the scripts:

Voila, got vpn client again!